{% extends 'base.html' %}

{% block content %}
<h2 class="text-center">Poll details</h2>
<div class="card mb-3">
    <div class="card-body">
      <h5 class="card-title text-center">{{ question.title }}</h5>
      <p>{{ question.pub_date }}</p>
      <p>{{ question.text }}</p>
    </div>
</div>
<h3 class="text-center">Answers</h3>
<form action="{% url 'polls:vote' question.id %}" method="post">
    {% csrf_token %}
    <fieldset>
        {% if error_message %}<p><strong>{{ error_message }}</strong></p>{% endif %}
        {% for choice in question.choice_set.all %}
        <div class="mb-3">
            <input type="radio" name="choice" id="choice{{ forloop.counter }}" value="{{ choice.id }}">
            <label for="choice{{ forloop.counter }}">{{ choice.choice_text }}</label><br>
        </div>
        {% endfor %}
    </fieldset>
    <input class="btn btn-primary" type="submit" value="Vote">
</form>
{% endblock %}